Subject: Re: bug#76506: Electric-command-history-redo-expression does nothing

From: Stefan Kangas <[email-masked]>
Date: Sat, 1 Mar 2025 21:39:35 -0800

Version: 31.1

Stefan Kangas <[email-masked]> writes:

>> I think you need
>>
>> M-x electric-command-history
>
> Aha, right.  That command on the other hand is not autoloaded, curiously
> enough, so you need to say this first:
>
>     (require 'echistory)
>
>> for things to work. Iʼve never used it, and trying it just now itʼs
>> excessively intrusive and obnoxious with its bindings. We can fix
>> that, but if nobody is using it thatʼs not worth it.
>
> Agreed on all of the above, thanks.

I have now moved echistory.el to lisp/obsolete.  Let's see if anyone
protests against this change, meanwhile I'm closing this bug report.